summaryrefslogtreecommitdiff
path: root/tests/tail-2/infloop-1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tail-2/infloop-1')
-rwxr-xr-xtests/tail-2/infloop-129
1 files changed, 29 insertions, 0 deletions
diff --git a/tests/tail-2/infloop-1 b/tests/tail-2/infloop-1
new file mode 100755
index 000000000..b7db992fc
--- /dev/null
+++ b/tests/tail-2/infloop-1
@@ -0,0 +1,29 @@
+#!/bin/sh
+# This test would fail with tail from pre-1.22i textutils.
+
+tmp=t1-tail.$$
+
+if test "$VERBOSE" = yes; then
+ set -x
+ tail --version
+fi
+
+test_failure=0
+mkdir $tmp || test_failure=1
+cd $tmp || test_failure=1
+
+if test $test_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+yes > t &
+yes_pid=$!
+while :; do
+ test -s t && break
+done
+tail -1 t &
+tail_pid=$!
+kill $yes_pid
+sleep 1
+kill $tail_pid